Attribute VB_Name = "Apci8201"
'===================================================================
' Apci8201.bas
'-------------------------------------------------------------------
' aPCI-8201
' Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
' Date Jan.1999
'===================================================================

Option Explicit
'-------------------------------------------------------------------
' G[R[h
'-------------------------------------------------------------------
Global Const APCI8201_SUCCESS = 0               ' ُȂiIj
Global Const APCI8201_ERR_SYSTEM = 1            ' ɃhCo[hĂȂ\܂
Global Const APCI8201_ERR_NO_DEVICE = 2         ' gp\ȃfoCX܂
Global Const APCI8201_ERR_IN_USE = 3            ' w̃foCX͑̃vZXŎgpł
Global Const APCI8201_ERR_INVALID_SLOT = 4      ' Ș_\Pbgԍł
Global Const APCI8201_ERR_RESOURCE = 5          ' \[XG[
Global Const APCI8201_ERR_INVALID_ARGUMENT = 6  ' sȈw肵܂
Global Const APCI8201_ERR_NOTINIT = 7           ' Ă܂B
Global Const APCI8201_ERR_MODE = 8              ' GPIB ̃[hG[łB
Global Const APCI8201_ERR_TIMEOUT = 9           ' ^CAEg܂B
Global Const APCI8201_ERR_NOLSN = 10            ' XiiP[uڑj
Global Const APCI8201_ERR_BUSY = 11             ' s
Global Const APCI8201_ERR_ETC = 12              ' ̑̃G[

'-------------------------------------------------------------------
' GPIBXe[^X擾
'-------------------------------------------------------------------
Global Const STS_IFC = &H1                      ' IFC
Global Const STS_DCAS = &H2                     ' DeviceClear
Global Const STS_UNC = &H4                      ' Ppoll,TCT etc
Global Const STS_ERR = &H8                      ' Error
Global Const STS_GET = &H10                     ' GET
Global Const STS_SPAS = &H20                    ' Spoll
Global Const STS_END = &H40                     ' END
Global Const STS_REM = &H100                    ' Remote
Global Const STS_LLO = &H200                    ' LLO
Global Const STS_TLK = &H400                    ' Talker
Global Const STS_LSN = &H800                    ' Listener
Global Const STS_ATN = &H1000                   ' ATN
Global Const STS_SRQ = &H2000                   ' SRQ
Global Const STS_REN = &H4000                   ' REN
'-------------------------------------------------------------------
' GPIB֘Ap[^w͈
'-------------------------------------------------------------------
Global Const ADDR_MIN = 0                       ' ŏGPIBڽ
Global Const ADDR_MAX = 30                      ' ő    "
Global Const TIMEOUT_DEFAULT = 2000             ' ѱ̫
Global Const TIMEOUT_MAX = 60000                ' ѱčől
'-------------------------------------------------------------------
' }`CbZ[W(GPIBR}h)w
'-------------------------------------------------------------------
Global Const LA_0 = &H20                        ' Listener Addr
Global Const TA_0 = &H40                        ' Talker Addr
Global Const UNL = &H3F                         ' UNListen
Global Const UNT = &H5F                         ' UNTalk
Global Const GTL = &H1                          ' Go To Local
Global Const SDC = &H4                          ' Select Device Clear
Global Const GETRG = &H8                        ' Group Execute Trigger
Global Const LLO = &H11                         ' Local Lock Out
Global Const DCL = &H14                         ' Device Clear
Global Const SPE = &H18                         ' Serial Poll Enable
Global Const SPD = &H19                         ' Serial Poll Disable
Global Const PPC = &H5                          ' Parallel Poll Config
Global Const PPE = &H60                         ' Parallel Poll Enable
Global Const PPZ = &H70                         ' Parallel Poll Disable
Global Const PPU = &H15                         ' Parallel Poll Unconfig
Global Const TCT = &H9                          ' Take Control (XXX)
'-------------------------------------------------------------------
' GPIB샂[hw
'-------------------------------------------------------------------
Global Const MODE_SYSCON = 1                    ' Ѻ۰Ӱ
Global Const MODE_TLKLSN = 0                    ' İؽӰ
Global Const MODE_SLAVE = 0                     ' ڰӰ
Global Const MODE_CON = 2                       ' ۰Ӱ(gps)<Cu݊
Global Const MODE_MASTER = 2                    ' ϽӰ(gps)<Cu݊
'-------------------------------------------------------------------
' f~^[hw
'-------------------------------------------------------------------
Global Const DELIM_CRLF = 1                     ' CR + LF(̫)
Global Const DELIM_CR = 2                       ' CR
Global Const DELIM_LF = 3                       ' LF
Global Const DELIM_NO = 0                       ' NOTHING
'-------------------------------------------------------------------
' dnh[hw
'-------------------------------------------------------------------
Global Const EOI_ON = 1                         ' t(̫)
Global Const EOI_OFF = 0                        ' Ȃ
'-------------------------------------------------------------------
' ̑̒萔
'-------------------------------------------------------------------
Global Const APCI8201_SLOT_AUTO = &HFFFF
Global Const APCI8201_MAX_SLOTS = 16            ' foCX͂PU܂Ŏg܂
'-------------------------------------------------------------------
' \[X\̊evf̍ő吔
'-------------------------------------------------------------------
Global Const APCI8201_MAX_MEM = 9
Global Const APCI8201_MAX_IO = 20
Global Const APCI8201_MAX_IRQ = 7
Global Const APCI8201_MAX_DMA = 7
'-------------------------------------------------------------------
' \[X\
'-------------------------------------------------------------------
Type APCI8201_RESOURCE
    dwNumMemWindows As Long                     ' EBhE
    dwMemBase(1 To APCI8201_MAX_MEM) As Long        ' EBhEJnAhX
    dwMemLength(1 To APCI8201_MAX_MEM) As Long      ' EBhE
    dwMemAttrib(1 To APCI8201_MAX_MEM) As Long      ' EBhE
    dwNumIOPorts As Long                        ' I/O|[g
    dwIOPortBase(1 To APCI8201_MAX_IO) As Long      ' I/O|[gJnAhX
    dwIOPortLength(1 To APCI8201_MAX_IO) As Long    ' I/O|[g
    dwNumIRQs As Long                           ' IRQ
    dwIRQRegisters(1 To APCI8201_MAX_IRQ) As Long   ' IRQԍ
    dwIRQAttrib(1 To APCI8201_MAX_IRQ) As Long      ' IRQ
    dwNumDMAs As Long                           ' DMA`l
    dwDMALst(1 To APCI8201_MAX_DMA) As Long         ' DMA`l
    dwDMAAttrib(1 To APCI8201_MAX_DMA) As Long      ' DMA`l
    dwReserved1(1 To 3) As Long                 ' \
End Type
'-------------------------------------------------------------------
' API Functions
'-------------------------------------------------------------------
Public Declare Function Apci8201GetLastError Lib "Apci8201" (ByVal wLogSocket As Integer) As Long
Public Declare Function Apci8201GetStatus Lib "Apci8201" (ByVal wLogSocket As Integer) As Long
Public Declare Function Apci8201GetVersion Lib "Apci8201" (ByRef pdwDllVersion As Long, ByRef pdwDriverVersion As Long) As Boolean
Public Declare Function Apci8201Create Lib "Apci8201" (ByRef pwLogSocket As Integer) As Boolean
Public Declare Function Apci8201Close Lib "Apci8201" (ByVal wLogSocket As Integer) As Boolean
Public Declare Function Apci8201GetResource Lib "Apci8201" (ByVal wLogSocket As Integer, ByRef pResInfo As APCI8201_RESOURCE) As Boolean
Public Declare Function Apci8201Init Lib "Apci8201" (ByVal wLogSocket As Integer, ByVal wGpibAddr As Integer, ByVal wGpibMode As Integer, ByVal dwFifoSize As Long) As Boolean
Public Declare Function Apci8201SetTime Lib "Apci8201" (ByVal wLogSocket As Integer, ByVal dwTimeoutCnt As Long) As Boolean
Public Declare Function Apci8201SetEos Lib "Apci8201" (ByVal wLogSocket As Integer, ByVal wDlmMode As Integer, ByVal wEoiMode As Integer) As Boolean
Public Declare Function Apci8201SendCmd Lib "Apci8201" (ByVal wLogSocket As Integer, ByRef paSendBuf As Byte, ByVal dwSendBytes As Long) As Boolean
Public Declare Function Apci8201Ifc Lib "Apci8201" (ByVal wLogSocket As Integer) As Boolean
Public Declare Function Apci8201Ren Lib "Apci8201" (ByVal wLogSocket As Integer, ByVal wRenLine As Integer) As Boolean
Public Declare Function Apci8201Dcl Lib "Apci8201" (ByVal wLogSocket As Integer) As Boolean
Public Declare Function Apci8201Sdc Lib "Apci8201" (ByVal wLogSocket As Integer, ByVal wLsnAdrs As Integer) As Boolean
Public Declare Function Apci8201SendDataCN Lib "Apci8201" (ByVal wLogSocket As Integer, ByRef pwLsnAdrsList As Integer, ByVal wLsnAdrsCnt As Integer, ByRef pbSendBuff As Byte, ByVal dwDataCnt As Long) As Boolean
Public Declare Function Apci8201SendDataC Lib "Apci8201" (ByVal wLogSocket As Integer, ByVal wLsnAdrs As Integer, ByRef pbSendBuff As Byte, ByVal dwDataCnt As Long) As Boolean
Public Declare Function Apci8201SendDataS Lib "Apci8201" (ByVal wLogSocket As Integer, ByRef pbSendBuff As Byte, ByVal dwDataCnt As Long) As Boolean
Public Declare Function Apci8201RecvDataC Lib "Apci8201" (ByVal wLogSocket As Integer, ByVal wTlkAdrs As Integer, ByRef pbRecvBuff As Byte, ByRef pdwDataCnt As Long) As Boolean
Public Declare Function Apci8201RecvDataS Lib "Apci8201" (ByVal wLogSocket As Integer, ByRef pbRecvBuff As Byte, ByRef pdwDataCnt As Long) As Boolean
Public Declare Function Apci8201TransDataN Lib "Apci8201" (ByVal wLogSocket As Integer, ByVal wTlkAdrs As Integer, ByRef pwLsnAdrsList As Integer, ByVal wLsnAdrsCnt As Integer) As Boolean
Public Declare Function Apci8201TransData Lib "Apci8201" (ByVal wLogSocket As Integer, ByVal wTlkAdrs As Integer, ByVal wLsnAdrs As Integer) As Boolean
Public Declare Function Apci8201SetSrqLine Lib "Apci8201" (ByVal wLogSocket As Integer, ByVal bStsByte As Byte) As Boolean
Public Declare Function Apci8201GetSrqLine Lib "Apci8201" (ByVal wLogSocket As Integer, ByRef pwSrqLine As Integer) As Boolean
Public Declare Function Apci8201Spoll Lib "Apci8201" (ByVal wLogSocket As Integer, ByVal wPollAdrs As Integer, ByRef pbStsByte As Byte) As Boolean
Public Declare Function Apci8201Ppoll Lib "Apci8201" (ByVal wLogSocket As Integer, ByRef pbDioLine As Byte) As Boolean
Public Declare Function Apci8201PpollConfig Lib "Apci8201" (ByVal wLogSocket As Integer, ByVal wLsnAdrs As Integer, ByVal bDioLine As Byte, ByVal bSbit As Byte) As Boolean
Public Declare Function Apci8201PpollUnConfig Lib "Apci8201" (ByVal wLogSocket As Integer, ByVal wLsnAdrs As Integer) As Boolean
Public Declare Function Apci8201PpollUnConfigAll Lib "Apci8201" (ByVal wLogSocket As Integer) As Boolean
Public Declare Function Apci8201PpollRespModeSet Lib "Apci8201" (ByVal wLogSocket As Integer, ByVal wPMode As Integer) As Boolean
Public Declare Function Apci8201GetSwitchValue Lib "Apci8201" (ByVal wLogSocket As Integer, ByRef pdwSwitchValue As Long) As Boolean
Public Declare Function Apci8201GetDipSwitch Lib "Apci8201" (ByVal wLogSocket As Integer, ByRef pbDipsw As Byte) As Boolean




