Attribute VB_Name = "Apci8201w"
'============================================================================
' Apci8201w.bas
'----------------------------------------------------------------------------
' aPCI-8201
' Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
' Date Jan.1999
'============================================================================
Option Explicit
Declare Function LoadLibrary Lib "kernel32" Alias "LoadLibraryA" (ByVal lpLibFileName As String) As Long
Declare Function FreeLibrary Lib "kernel32" (ByVal hLibModule As Long) As Long
Declare Function GetProcAddress Lib "kernel32" (ByVal hModule As Long, ByVal lpProcName As String) As Long

Global Const APCI8201_DLL_NAME = "Apci8201.dll" ' DLL
Dim hDLL As Long                                ' DLLւ̃nh
Global Const APCI8201_ERR_WRAPDLL = -1          ' bp[֐G[

'============================================================================
'           DLL۰(۰ގʹװƂ)
'           
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wDllOpen() As Boolean
    Apci8201wDllOpen = True
    If hDLL = 0 Then
        hDLL = LoadLibrary(APCI8201_DLL_NAME)
        If hDLL <> 0 Then
            If Apci8201wGetDllExportFunc() = True Then
                Exit Function
            Else
                Apci8201wDllClose     ' DLL GNX|[g֐LmFɎŝŁADLL N[Y
            End If
        End If
    End If
    Apci8201wDllOpen = False
End Function
'============================================================================
'           DLL۰(۰ގʹװƂ)
'           
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wDllClose() As Boolean
    Apci8201wDllClose = True
    If hDLL = 0 Then
        If FreeLibrary(hDLL) <> 0 Then
            hDLL = 0
            Exit Function
        End If
    End If
    Apci8201wDllClose = False
End Function
'============================================================================
'           װނ̎擾
'           wLogSocket              ޲̘_Ĕԍ
' ߂l        װ
'============================================================================
Function Apci8201wGetLastError(ByVal wLogSocket As Integer) As Long
    Apci8201wGetLastError = APCI8201_ERR_WRAPDLL
        If hDLL = 0 Then
            Exit Function
        Else
            Apci8201wGetLastError = Apci8201GetLastError(wLogSocket)
        End If
End Function
'============================================================================
'           GPIBð̎擾
'           wLogSocket              ޲̘_Ĕԍ
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wGetStatus(ByVal wLogSocket As Integer) As Long
    Apci8201wGetStatus = False
    If hDLL = 0 Then Exit Function
    If Apci8201GetStatus(wLogSocket) = 0 Then Exit Function
    Apci8201wGetStatus = True
End Function
'============================================================================
'           DLL,޲ײްްޮݔԍ擾
'           pdwDllVersion           DLLްޮݔԍi[̈ւ߲
'               pdwDriverVersion        ޲ײްްޮݔԍi[̈ւ߲
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wGetVersion(ByRef pdwDllVersion As Long, ByRef pdwDriverVersion As Long) As Boolean
    Apci8201wGetVersion = False
    If hDLL = 0 Then Exit Function
    If Apci8201GetVersion(pdwDllVersion, pdwDriverVersion) = 0 Then Exit Function
    Apci8201wGetVersion = True
End Function
'============================================================================
'           ޲̎gp錾
'           pwLogSocket             gp޲̘_Ĕԍi[߲
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wCreate(ByRef pwLogSocket As Integer) As Boolean
    Apci8201wCreate = False
    If hDLL = 0 Then Exit Function
    If Apci8201Create(pwLogSocket) = 0 Then Exit Function
    Apci8201wCreate = True
End Function
'============================================================================
'           ޲J
'           wLogSocket              ޲̘_Ĕԍ
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wClose(ByVal wLogSocket As Integer) As Boolean
    Apci8201wClose = False
    If hDLL = 0 Then Exit Function
    If Apci8201Close(wLogSocket) = 0 Then Exit Function
    Apci8201wClose = True
End Function
'============================================================================
'           w޲ؿ擾
'           wLogSocket              ޲̘_Ĕԍ
'               pResInfo                ؿi[\߲̂
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wGetResource(ByVal wLogSocket As Integer, ByRef pResInfo As APCI8201_RESOURCE) As Boolean
    Apci8201wGetResource = False
    If hDLL = 0 Then Exit Function
    If Apci8201GetResource(wLogSocket, pResInfo) = 0 Then Exit Function
    Apci8201wGetResource = True
End Function
'============================================================================
'           
'           wLogSocket              ޲̘_Ĕԍ
'               wGpibAddr               g GP-IB AhX
'               wGpibMode               g GP-IB 샂[h
'               dwFifoSize              Mobt@̑傫
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wInit(ByVal wLogSocket As Integer, ByVal wGpibAddr As Integer, ByVal wGpibMode As Integer, ByVal dwFifoSize As Long) As Boolean
    Apci8201wInit = False
    If hDLL = 0 Then Exit Function
    If Apci8201Init(wLogSocket, wGpibAddr, wGpibMode, dwFifoSize) = 0 Then Exit Function
    Apci8201wInit = True
End Function
'============================================================================
'           GPIBѱĐݒ
'           wLogSocket              ޲̘_Ĕԍ
'               dwTimeoutCnt            ^CAEglBPʂ̓~b0`60000܂ŁB
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wSetTime(ByVal wLogSocket As Integer, ByVal dwTimeoutCnt As Long) As Boolean
    Apci8201wSetTime = False
    If hDLL = 0 Then Exit Function
    If Apci8201SetTime(wLogSocket, dwTimeoutCnt) = 0 Then Exit Function
    Apci8201wSetTime = True
End Function
'============================================================================
'           EOIݒ
'           wLogSocket              ޲̘_Ĕԍ
'               wDlmMode                f~^w
'               wEoiMode                dnh̎gp܂͕sgpw
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wSetEos(ByVal wLogSocket As Integer, ByVal wDlmMode As Integer, ByVal wEoiMode As Integer) As Boolean
    Apci8201wSetEos = False
    If hDLL = 0 Then Exit Function
    If Apci8201SetEos(wLogSocket, wDlmMode, wEoiMode) = 0 Then Exit Function
    Apci8201wSetEos = True
End Function
'============================================================================
'           GPIBޑM(۰חp)
'           wLogSocket              ޲̘_Ĕԍ
'               paSendBuf               MR}hobt@̃AhX
'               dwSendBytes             MׂR}h̃oCg
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wSendCmd(ByVal wLogSocket As Integer, ByRef paSendBuf() As Byte, ByVal dwSendBytes As Long) As Boolean
    Apci8201wSendCmd = False
    If hDLL = 0 Then Exit Function
    If Apci8201SendCmd(wLogSocket, paSendBuf(LBound(paSendBuf)), dwSendBytes) = 0 Then Exit Function
    Apci8201wSendCmd = True
End Function
'============================================================================
'           IFCM(۰חp)
'           wLogSocket              ޲̘_Ĕԍ
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wIfc(ByVal wLogSocket As Integer) As Boolean
    Apci8201wIfc = False
    If hDLL = 0 Then Exit Function
    If Apci8201Ifc(wLogSocket) = 0 Then Exit Function
    Apci8201wIfc = True
End Function
'============================================================================
'           RENײ݂̐ݒ(۰חp)
'           wLogSocket              ޲̘_Ĕԍ
'               wRenLine                1(^)/0(U)
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wRen(ByVal wLogSocket As Integer, ByVal wRenLine As Integer) As Boolean
    Apci8201wRen = False
    If hDLL = 0 Then Exit Function
    If Apci8201Ren(wLogSocket, wRenLine) = 0 Then Exit Function
    Apci8201wRen = True
End Function
'============================================================================
'           DCLM(۰חp)
'           wLogSocket              ޲̘_Ĕԍ
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wDcl(ByVal wLogSocket As Integer) As Boolean
    Apci8201wDcl = False
    If hDLL = 0 Then Exit Function
    If Apci8201Dcl(wLogSocket) = 0 Then Exit Function
    Apci8201wDcl = True
End Function
'============================================================================
'           w@ւSDCM(۰חp)
'           wLogSocket              ޲̘_Ĕԍ
'               wLsnAdrs                XiAhX
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wSdc(ByVal wLogSocket As Integer, ByVal wLsnAdrs As Integer) As Boolean
    Apci8201wSdc = False
    If hDLL = 0 Then Exit Function
    If Apci8201Sdc(wLogSocket, wLsnAdrs) = 0 Then Exit Function
    Apci8201wSdc = True
End Function
'============================================================================
'           ̎w@ւްM(۰חp)
'           wLogSocket              ޲̘_Ĕԍ
'               pwLsnAdrsList           XiAhXXg̃AhX
'               wLsnAdrsCnt             XiAhX̐
'               pbSendBuff              Mf[^obt@̃AhX
'               dwDataCnt               Mf[^
' ߂l            True
'               s False
'============================================================================
Function Apci8201wSendDataCN(ByVal wLogSocket As Integer, ByRef pwLsnAdrsList() As Integer, ByVal wLsnAdrsCnt As Integer, ByRef pbSendBuff() As Byte, ByVal dwDataCnt As Long) As Boolean
    Apci8201wSendDataCN = False
    If hDLL = 0 Then Exit Function
    If Apci8201SendDataCN(wLogSocket, pwLsnAdrsList(LBound(pwLsnAdrsList)), wLsnAdrsCnt, pbSendBuff(LBound(pbSendBuff)), dwDataCnt) = 0 Then Exit Function
    Apci8201wSendDataCN = True
End Function
'============================================================================
'           w@ւްM(۰חp)
'           wLogSocket              ޲̘_Ĕԍ
'               wLsnAdrs                XiAhX
'               pbSendBuff              Mf[^obt@̃AhX
'               dwDataCnt               Mf[^
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wSendDataC(ByVal wLogSocket As Integer, ByVal wLsnAdrs As Integer, ByRef pbSendBuff() As Byte, ByVal dwDataCnt As Long) As Boolean
    Apci8201wSendDataC = False
    If hDLL = 0 Then Exit Function
    If Apci8201SendDataC(wLogSocket, wLsnAdrs, pbSendBuff(LBound(pbSendBuff)), dwDataCnt) = 0 Then Exit Function
    Apci8201wSendDataC = True
End Function
'============================================================================
'           ްM(ڰޗp)
'           wLogSocket              ޲̘_Ĕԍ
'               pbSendBuff              Mf[^obt@̃AhX
'               dwDataCnt               Mf[^
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wSendDataS(ByVal wLogSocket As Integer, ByRef pbSendBuff() As Byte, ByVal dwDataCnt As Long) As Boolean
    Apci8201wSendDataS = False
    If hDLL = 0 Then Exit Function
    If Apci8201SendDataS(wLogSocket, pbSendBuff(LBound(pbSendBuff)), dwDataCnt) = 0 Then Exit Function
    Apci8201wSendDataS = True
End Function
'============================================================================
'           w@킩ްM(۰חp)
'           wLogSocket              ޲̘_Ĕԍ
'               wTlkAdrs                g[JAhX
'               pbRecvBuff              Mf[^obt@̃AhX
'               pdwDataCnt              Mf[^w肷ϐ̃AhX
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wRecvDataC(ByVal wLogSocket As Integer, ByVal wTlkAdrs As Integer, ByRef pbRecvBuff() As Byte, ByRef pdwDataCnt As Long) As Boolean
    Apci8201wRecvDataC = False
    If hDLL = 0 Then Exit Function
    If Apci8201RecvDataC(wLogSocket, wTlkAdrs, pbRecvBuff(LBound(pbRecvBuff)), pdwDataCnt) = 0 Then Exit Function
    Apci8201wRecvDataC = True
End Function
'============================================================================
'           ްM(ڰޗp)
'           wLogSocket              ޲̘_Ĕԍ
'               pbRecvBuff              Mf[^obt@̃AhX
'               pdwDataCnt              Mf[^w肷ϐ̃AhX
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wRecvDataS(ByVal wLogSocket As Integer, ByRef pbRecvBuff() As Byte, ByRef pdwDataCnt As Long) As Boolean
    Apci8201wRecvDataS = False
    If hDLL = 0 Then Exit Function
    If Apci8201RecvDataS(wLogSocket, pbRecvBuff(LBound(pbRecvBuff)), pdwDataCnt) = 0 Then Exit Function
    Apci8201wRecvDataS = True
End Function
'============================================================================
'           @ް](۰חp)
'           wLogSocket              ޲̘_Ĕԍ
'               wTlkAdrs                g[JAhX
'               pwLsnAdrsList           XiAhXXg̃AhX
'               wLsnAdrsCnt             XiAhX̐
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wTransDataN(ByVal wLogSocket As Integer, ByVal wTlkAdrs As Integer, ByRef pwLsnAdrsList() As Integer, ByVal wLsnAdrsCnt As Integer) As Boolean
    Apci8201wTransDataN = False
    If hDLL = 0 Then Exit Function
    If Apci8201TransDataN(wLogSocket, wTlkAdrs, pwLsnAdrsList(LBound(pwLsnAdrsList)), wLsnAdrsCnt) = 0 Then Exit Function
    Apci8201wTransDataN = True
End Function
'============================================================================
'           @ް](۰חp)
'           wLogSocket              ޲̘_Ĕԍ
'               wTlkAdrs                g[JAhX
'               wLsnAdrs                XiAhX
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wTransData(ByVal wLogSocket As Integer, ByVal wTlkAdrs As Integer, ByVal wLsnAdrs As Integer) As Boolean
    Apci8201wTransData = False
    If hDLL = 0 Then Exit Function
    If Apci8201TransData(wLogSocket, wTlkAdrs, wLsnAdrs) = 0 Then Exit Function
    Apci8201wTransData = True
End Function
'============================================================================
'           SRQײ݂ƽð޲Đݒ(ڰޗp)
'           wLogSocket              ޲̘_Ĕԍ
'               bStsByte                Xe[^XoCgl
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wSetSrqLine(ByVal wLogSocket As Integer, ByVal bStsByte As Byte) As Boolean
    Apci8201wSetSrqLine = False
    If hDLL = 0 Then Exit Function
    If Apci8201SetSrqLine(wLogSocket, bStsByte) = 0 Then Exit Function
    Apci8201wSetSrqLine = True
End Function
'============================================================================
'           SRQײ݂̏Ԕ(۰חp)
'           wLogSocket              ޲̘_Ĕԍ
'               pwSrqLine               rqpCԂi[ϐ̃AhX
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wGetSrqLine(ByVal wLogSocket As Integer, ByRef pwSrqLine As Integer) As Boolean
    Apci8201wGetSrqLine = False
    If hDLL = 0 Then Exit Function
    If Apci8201GetSrqLine(wLogSocket, pwSrqLine) = 0 Then Exit Function
    Apci8201wGetSrqLine = True
End Function
'============================================================================
'           رَ߰s(۰חp)
'           wLogSocket              ޲̘_Ĕԍ
'               wPollAdrs               |[ÕAhX
'               pbStsByte               Xe[^XoCgi[ϐ̃AhX
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wSpoll(ByVal wLogSocket As Integer, ByVal wPollAdrs As Integer, ByRef pbStsByte As Byte) As Boolean
    Apci8201wSpoll = False
    If hDLL = 0 Then Exit Function
    If Apci8201Spoll(wLogSocket, wPollAdrs, pbStsByte) = 0 Then Exit Function
    Apci8201wSpoll = True
End Function
'============================================================================
'           َ߰s(۰חp)
'           wLogSocket              ޲̘_Ĕԍ
'               pbDioLine               chnCi[ϐ̃AhX
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wPpoll(ByVal wLogSocket As Integer, ByRef pbDioLine As Byte) As Boolean
    Apci8201wPpoll = False
    If hDLL = 0 Then Exit Function
    If Apci8201Ppoll(wLogSocket, pbDioLine) = 0 Then Exit Function
    Apci8201wPpoll = True
End Function
'============================================================================
'           ٍ߰\(۰חp)
'           wLogSocket              ޲̘_Ĕԍ
'               wLsnAdrs                \@AhX
'               bDioLine                @tDIOCԍiO`ṼrbgԍŎwj
'               bSbit                   ZXrbg̎wiO܂͂Pj
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wPpollConfig(ByVal wLogSocket As Integer, ByVal wLsnAdrs As Integer, ByVal bDioLine As Byte, ByVal bSbit As Byte) As Boolean
    Apci8201wPpollConfig = False
    If hDLL = 0 Then Exit Function
    If Apci8201PpollConfig(wLogSocket, wLsnAdrs, bDioLine, bSbit) = 0 Then Exit Function
    Apci8201wPpollConfig = True
End Function
'============================================================================
'           w@ٍ߰\(۰חp)
'           wLogSocket              ޲̘_Ĕԍ
'               wLsnAdrs                \@AhX
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wPpollUnConfig(ByVal wLogSocket As Integer, ByVal wLsnAdrs As Integer) As Boolean
    Apci8201wPpollUnConfig = False
    If hDLL = 0 Then Exit Function
    If Apci8201PpollUnConfig(wLogSocket, wLsnAdrs) = 0 Then Exit Function
    Apci8201wPpollUnConfig = True
End Function
'============================================================================
'           S@ٍ߰\(۰חp)
'           wLogSocket              ޲̘_Ĕԍ
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wPpollUnConfigAll(ByVal wLogSocket As Integer) As Boolean
    Apci8201wPpollUnConfigAll = False
    If hDLL = 0 Then Exit Function
    If Apci8201PpollUnConfigAll(wLogSocket) = 0 Then Exit Function
    Apci8201wPpollUnConfigAll = True
End Function
'============================================================================
'           ߰ىݒ(ڰޗp)
'           wLogSocket              ޲̘_Ĕԍ
'               wPMode                  p|[ւ̉@
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wPpollRespModeSet(ByVal wLogSocket As Integer, ByVal wPMode As Integer) As Boolean
    Apci8201wPpollRespModeSet = False
    If hDLL = 0 Then Exit Function
    If Apci8201PpollRespModeSet(wLogSocket, wPMode) = 0 Then Exit Function
    Apci8201wPpollRespModeSet = True
End Function
'============================================================================
'           BSNXCb`l擾
'           wLogSocket              ޲̘_Ĕԍ
'               wPMode                  armXCb`i[̈
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wGetSwitchValue(ByVal wLogSocket As Integer, ByRef pdwSwitchValue As Long) As Boolean
    Apci8201wGetSwitchValue = False
    If hDLL = 0 Then Exit Function
    If Apci8201GetSwitchValue(wLogSocket, pdwSwitchValue) = 0 Then Exit Function
    Apci8201wGetSwitchValue = True
End Function
'============================================================================
'           DIP-SW ̒l擾܂
'           wLogSocket              ޲̘_Ĕԍ
'               pbDipsw                  DIP-SW ̒li[̈
' ߂l            True
'               s    False
'============================================================================
Function Apci8201wGetDipSwitch(ByVal wLogSocket As Integer, ByRef pbDipsw As Byte) As Boolean
    Apci8201wGetDipSwitch = False
    If hDLL = 0 Then Exit Function
    If Apci8201GetDipSwitch(wLogSocket, pbDipsw) = 0 Then Exit Function
    Apci8201wGetDipSwitch = True
End Function
'----------------------------------------------------------------------------
'           DLL߰Ċ֐ڽ̎擾
'           
' ߂l            True
'               s    False
'----------------------------------------------------------------------------
Private Function Apci8201wGetDllExportFunc() As Boolean
    Dim pFunc As Long

    Apci8201wGetDllExportFunc = False
    pFunc = GetProcAddress(hDLL, "Apci8201GetLastError")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201GetStatus")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201GetVersion")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201Create")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201Close")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201GetResource")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201Init")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201SetTime")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201SetEos")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201SendCmd")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201Ifc")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201Ren")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201Dcl")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201Sdc")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201SendDataCN")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201SendDataC")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201SendDataS")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201RecvDataC")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201RecvDataS")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201TransDataN")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201TransData")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201SetSrqLine")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201GetSrqLine")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201Spoll")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201Ppoll")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201PpollConfig")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201PpollUnConfig")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201PpollUnConfigAll")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201PpollRespModeSet")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201GetSwitchValue")
    If pFunc = 0 Then Exit Function
    pFunc = GetProcAddress(hDLL, "Apci8201GetDipSwitch")
    If pFunc = 0 Then Exit Function
    
    
    ' SĂ DLL ߰Ċ֐ڽ擾nj
    Apci8201wGetDllExportFunc = True
End Function



