//===================================================================
// Apci8201w.c
//-------------------------------------------------------------------
// aPCI-8201
// Copyright ADTEK SYSTEM SCIENCE Co.,Ltd.
// 
// Date Jun.1999
//===================================================================
#include <windows.h>
#include <tchar.h>
#include "Apci8201w.h"

// -- X^eBbN֐ & X^eBbNϐi萔j
static BOOL _Apci8201wGetDllExportFunc( void );
static HMODULE hDLL = NULL;
// -- GNX|[g֐AhX̊i[pϐ
static	FARPROC	pApci8201GetLastError;
static	FARPROC	pApci8201GetStatus;
static	FARPROC	pApci8201GetVersion;
static	FARPROC	pApci8201Create;
static	FARPROC	pApci8201Close;
static	FARPROC	pApci8201GetResource;
static	FARPROC	pApci8201Init;
static	FARPROC	pApci8201SetTime;
static	FARPROC	pApci8201SetEos;
static	FARPROC	pApci8201SendCmd;
static	FARPROC	pApci8201Ifc;
static	FARPROC	pApci8201Ren;
static	FARPROC	pApci8201Dcl;
static	FARPROC	pApci8201Sdc;
static	FARPROC	pApci8201SendDataCN;
static	FARPROC	pApci8201SendDataC;
static	FARPROC	pApci8201SendDataS;
static	FARPROC	pApci8201RecvDataC;
static	FARPROC	pApci8201RecvDataS;
static	FARPROC	pApci8201TransDataN;
static	FARPROC	pApci8201TransData;
static	FARPROC	pApci8201SetSrqLine;
static	FARPROC	pApci8201GetSrqLine;
static	FARPROC	pApci8201Spoll;
static	FARPROC	pApci8201Ppoll;
static	FARPROC	pApci8201PpollConfig;
static	FARPROC	pApci8201PpollUnConfig;
static	FARPROC	pApci8201PpollUnConfigAll;
static	FARPROC	pApci8201PpollRespModeSet;
static	FARPROC pApci8201GetSwitchValue;
static	FARPROC pApci8201GetDipSwitch;

//===================================================================
//   		DLL [h
//   		Ȃ
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8201wDllOpen( VOID )
{
	if ( hDLL != NULL ) return FALSE;
	hDLL = (HMODULE)LoadLibrary(APCI8201_DLL_NAME);
	if ( hDLL == NULL ) return FALSE;
	if ( _Apci8201wGetDllExportFunc() == FALSE ) {
		Apci8201wDllClose();
		return FALSE;
	}
	return TRUE;
}
//===================================================================
//   		DLL A[h
//   		Ȃ
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8201wDllClose( VOID )
{
	if ( hDLL == NULL ) return FALSE;
	if ( FreeLibrary(hDLL) == TRUE ) {
		hDLL = NULL;
		return TRUE;
	}
	return FALSE;
}
//===================================================================
//   		G[R[h擾
//   		wLogSlot		foCX
// ߂l		G[R[h
//===================================================================
DWORD Apci8201wGetLastError( WORD wLogSlot )
{
	if ( hDLL == NULL ) return APCI8201_ERR_WRAPDLL;
	return (*pApci8201GetLastError)(wLogSlot);
}
//===================================================================
//   		GPIBXe[^X̎擾
//   		wLogSlot		foCX
// ߂l		TRUE	
//				FALSE	s
//===================================================================
DWORD Apci8201wGetStatus( WORD wLogSlot )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201GetStatus)(wLogSlot);
}
//===================================================================
//   		o[Wԍ擾
//   		pdwDllVersion	DLL o[Wi[̈ւ̃|C^
//				pdwDrvVersion	DRV o[Wi[̈ւ̃|C^
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8201wGetVersion( PDWORD pdwDllVersion, PDWORD pdwDrvVersion )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201GetVersion)(pdwDllVersion, pdwDrvVersion);
}
//===================================================================
//   		foCX̎gp錾
//   		pwLogSlot		foCXi[̈ւ̃|C^
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8201wCreate( PWORD pwLogSlot )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201Create)(pwLogSlot);
}
//===================================================================
//   		foCX̉
//   		wLogSlot		foCX
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8201wClose( WORD wLogSlot )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201Close)(wLogSlot);
}
//===================================================================
//   		\[X擾
//   		wLogSlot		foCX
//				pres			\[Xi[̈ւ̃|C^
// ߂l		TRUE	
//				FALSE	s
//===================================================================
BOOL Apci8201wGetResource( WORD wLogSlot, PAPCI8201RESOURCE pResInfo )
{
	if ( hDLL == NULL ) return FALSE;
	return	(*pApci8201GetResource)(wLogSlot, pResInfo);
}
//===================================================================
//   		
//   		wLogSlot		foCX̘_Ĕԍ
//				wGpibAddr   	g GP-IB AhX
//				wGpibMode		g GP-IB 샂[h
//				dwFifoSize		Mobt@̑傫
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wInit( WORD wLogSlot, WORD wGpibAddr, WORD wGpibMode, DWORD dwFifoSize )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201Init)(wLogSlot, wGpibAddr, wGpibMode, dwFifoSize);
}
//===================================================================
//   		GPIBѱĐݒ
//   		wLogSlot		foCX̘_Ĕԍ
//				dwTimeoutCnt  	^CAEglBPʂ̓~b0`60000܂ŁB
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wSetTime( WORD wLogSlot, DWORD dwTimeoutCnt )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201SetTime)(wLogSlot, dwTimeoutCnt);
}
//===================================================================
//   		EOIݒ
//   		wLogSlot		foCX̘_Ĕԍ
//				wDlmMode    	f~^w
//				wEoiMode    	dnh̎gp܂͕sgpw
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wSetEos( WORD wLogSlot, WORD wDlmMode, WORD wEoiMode )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201SetEos)(wLogSlot, wDlmMode, wEoiMode);
}
//===================================================================
//   		GPIBޑM(۰חp)
//   		wLogSlot		foCX̘_Ĕԍ
//				paSendBuf   	MR}hobt@̃AhX
//				dwSendBytes		MׂR}h̃oCg
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wSendCmd( WORD wLogSlot, PBYTE paSendBuf, DWORD dwSendBytes )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201SendCmd)(wLogSlot, paSendBuf, dwSendBytes);
}
//===================================================================
//   		IFCM(۰חp)
//   		wLogSlot		foCX̘_Ĕԍ
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wIfc( WORD wLogSlot )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201Ifc)(wLogSlot);
}
//===================================================================
//   		RENײ݂̐ݒ(۰חp)
//   		wLogSlot		foCX̘_Ĕԍ
//				wRenLine		1(^)/0(U)
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wRen( WORD wLogSlot, WORD wRenLine )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201Ren)(wLogSlot, wRenLine);
}
//===================================================================
//   		DCLM(۰חp)
//   		wLogSlot		foCX̘_Ĕԍ
// ߂l		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wDcl( WORD wLogSlot )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201Dcl)(wLogSlot);
}
//===================================================================
//   		w@ւSDCM(۰חp)
//   		wLogSlot		foCX̘_Ĕԍ
//				wLsnAdrs		XiAhX
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wSdc( WORD wLogSlot, WORD wLsnAdrs )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201Sdc)(wLogSlot, wLsnAdrs);
}
//===================================================================
//   		̎w@ւްM(۰חp)
//   		wLogSlot		foCX̘_Ĕԍ
//				pwLsnAdrsList 	XiAhXXg̃AhX
//				wLsnAdrsCnt		XiAhX̐
//				pbSendBuff		Mf[^obt@̃AhX
//				dwDataCnt		Mf[^
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wSendDataCN( WORD wLogSlot, PWORD pwLsnAdrsList, WORD wLsnAdrsCnt, PBYTE pbSendBuff, DWORD dwDataCnt )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201SendDataCN)(wLogSlot, pwLsnAdrsList, wLsnAdrsCnt, pbSendBuff, dwDataCnt);
}
//===================================================================
//   		w@ւްM(۰חp)
//   		wLogSlot		foCX̘_Ĕԍ
//				wLsnAdrs		XiAhX
//				pbSendBuff		Mf[^obt@̃AhX
//				dwDataCnt   	Mf[^
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wSendDataC( WORD wLogSlot, WORD wLsnAdrs, PBYTE pbSendBuff, DWORD dwDataCnt )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201SendDataC)(wLogSlot, wLsnAdrs, pbSendBuff, dwDataCnt);
}
//===================================================================
//   		ްM(ڰޗp)
//   		wLogSlot		foCX̘_Ĕԍ
//				pbSendBuff		Mf[^obt@̃AhX
//				dwDataCnt		Mf[^
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wSendDataS( WORD wLogSlot, PBYTE pbSendBuff, DWORD dwDataCnt )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201SendDataS)(wLogSlot, pbSendBuff, dwDataCnt);
}
//===================================================================
//   		w@킩ްM(۰חp)
//   		wLogSlot		foCX̘_Ĕԍ
//				wTlkAdrs		g[JAhX
//				pbRecvBuff		Mf[^obt@̃AhX
//				pdwDataCnt		Mf[^w肷ϐ̃AhX
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wRecvDataC( WORD wLogSlot, WORD wTlkAdrs, PBYTE pbRecvBuff, PDWORD pdwDataCnt )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201RecvDataC)(wLogSlot, wTlkAdrs, pbRecvBuff, pdwDataCnt);
}
//===================================================================
//   		ްM(ڰޗp)
//   		wLogSlot		foCX̘_Ĕԍ
//				pbRecvBuff 		Mf[^obt@̃AhX
//				pdwDataCnt  	Mf[^w肷ϐ̃AhX
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wRecvDataS( WORD wLogSlot, PBYTE pbRecvBuff, PDWORD pdwDataCnt )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201RecvDataS)(wLogSlot, pbRecvBuff, pdwDataCnt);
}
//===================================================================
//   		@ް](۰חp)
//   		wLogSlot		foCX̘_Ĕԍ
//				wTlkAdrs      	g[JAhX
//				pwLsnAdrsList	XiAhXXg̃AhX
//				wLsnAdrsCnt		XiAhX̐
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wTransDataN( WORD wLogSlot, WORD wTlkAdrs, PWORD pwLsnAdrsList, WORD wLsnAdrsCnt )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201TransDataN)(wLogSlot, wTlkAdrs, pwLsnAdrsList, wLsnAdrsCnt);
}
//===================================================================
//   		@ް](۰חp)
//   		wLogSlot		foCX̘_Ĕԍ
//				wTlkAdrs		g[JAhX
//				wLsnAdrs		XiAhX
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wTransData( WORD wLogSlot, WORD wTlkAdrs, WORD wLsnAdrs )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201TransData)(wLogSlot, wTlkAdrs, wLsnAdrs);
}
//===================================================================
//   		SRQײ݂ƽð޲Đݒ(ڰޗp)
//   		wLogSlot		foCX̘_Ĕԍ
//				bStsByte		Xe[^XoCgl
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wSetSrqLine( WORD wLogSlot, BYTE bStsByte )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201SetSrqLine)(wLogSlot, bStsByte);
}
//===================================================================
//   		SRQײ݂̏Ԕ(۰חp)
//   		wLogSlot		foCX̘_Ĕԍ
//				pwSrqLine		rqpCԂi[ϐ̃AhX
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wGetSrqLine( WORD wLogSlot, PWORD pwSrqLine )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201GetSrqLine)(wLogSlot, pwSrqLine);
}
//===================================================================
//   		رَ߰s(۰חp)
//   		wLogSlot		foCX̘_Ĕԍ
//				wPollAdrs		|[ÕAhX
//				pbStsByte		Xe[^XoCgi[ϐ̃AhX
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wSpoll( WORD wLogSlot, WORD wPollAdrs, PBYTE pbStsByte )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201Spoll)(wLogSlot, wPollAdrs, pbStsByte);
}
//===================================================================
//   		َ߰s(۰חp)
//   		wLogSlot		foCX̘_Ĕԍ
//				pbDioLine   	chnCi[ϐ̃AhX
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wPpoll( WORD wLogSlot, PBYTE pbDioLine )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201Ppoll)(wLogSlot, pbDioLine);
}
//===================================================================
//   		ٍ߰\(۰חp)
//   		wLogSlot		foCX̘_Ĕԍ
//				wLsnAdrs		\@AhX
//				bDioLine    	@tDIOCԍiO`ṼrbgԍŎwj
//				bSbit			ZXrbg̎wiO܂͂Pj
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wPpollConfig( WORD wLogSlot, WORD wLsnAdrs, BYTE bDioLine, BYTE bSbit )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201PpollConfig)(wLogSlot, wLsnAdrs, bDioLine, bSbit);
}
//===================================================================
//   		w@ٍ߰\(۰חp)
//   		wLogSlot		foCX̘_Ĕԍ
//				wLsnAdrs		\@AhX
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wPpollUnConfig( WORD wLogSlot, WORD wLsnAdrs )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201PpollUnConfig)(wLogSlot, wLsnAdrs);
}
//===================================================================
//   		S@ٍ߰\(۰חp)
//   		wLogSlot		foCX̘_Ĕԍ
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wPpollUnConfigAll( WORD wLogSlot )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201PpollUnConfigAll)(wLogSlot);
}
//===================================================================
//   		߰ىݒ(ڰޗp)
//   		wLogSlot		foCX̘_Ĕԍ
//				wPMode			p|[ւ̉@
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wPpollRespModeSet( WORD wLogSlot, WORD wPMode )
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201PpollRespModeSet)(wLogSlot, wPMode);
}
//===================================================================
//   		arm̒l擾
//   		wLogSlot		foCX̘_Ĕԍ
//				pdwSwitchValue	arm̒li[̈ւ̃|C^
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wGetSwitchValue(WORD wLogSlot,PDWORD pdwSwitchValue)
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201GetSwitchValue)(wLogSlot, pdwSwitchValue);
}
//===================================================================
//   		cho|rv̒l擾
//   		wLogSlot		foCX̘_Ĕԍ
//				pbDipsw			rvli[̈ւ̃|C^
// ߂l 		 	TRUE
//				s 	FALSE
//===================================================================
BOOL Apci8201wGetDipSwitch(WORD wLogSlot, PBYTE pbDipsw)
{
	if ( hDLL == NULL ) return FALSE;
	return (*pApci8201GetDipSwitch)(wLogSlot, pbDipsw);
}
//-------------------------------------------------------------------
//   	  	DLL߰Ċ֐ڽ̎擾
//   	  	
// ߂l 		 	TRUE
//		  		s 	FALSE
//-------------------------------------------------------------------
static BOOL _Apci8201wGetDllExportFunc ( void )
{
	pApci8201GetLastError = GetProcAddress(hDLL, _T("Apci8201GetLastError"));
	if (pApci8201GetLastError == NULL)	return FALSE;
	pApci8201GetStatus = GetProcAddress(hDLL, _T("Apci8201GetStatus"));
	if (pApci8201GetStatus == NULL)	return FALSE;
	pApci8201GetVersion = GetProcAddress(hDLL, _T("Apci8201GetVersion"));
	if (pApci8201GetVersion == NULL)	return FALSE;
	pApci8201Create = GetProcAddress(hDLL, _T("Apci8201Create"));
	if (pApci8201Create == NULL)	return FALSE;
	pApci8201Close = GetProcAddress(hDLL, _T("Apci8201Close"));
	if (pApci8201Close == NULL)	return FALSE;
	pApci8201GetResource = GetProcAddress(hDLL, _T("Apci8201GetResource"));
	if (pApci8201GetResource == NULL)	return FALSE;
	pApci8201Init = GetProcAddress(hDLL, _T("Apci8201Init"));
	if (pApci8201Init == NULL)	return FALSE;
	pApci8201SetTime = GetProcAddress(hDLL, _T("Apci8201SetTime"));
	if (pApci8201SetTime == NULL)	return FALSE;
	pApci8201SetEos = GetProcAddress(hDLL, _T("Apci8201SetEos"));
	if (pApci8201SetEos == NULL)	return FALSE;
	pApci8201SendCmd = GetProcAddress(hDLL, _T("Apci8201SendCmd"));
	if (pApci8201SendCmd == NULL)	return FALSE;
	pApci8201Ifc = GetProcAddress(hDLL, _T("Apci8201Ifc"));
	if (pApci8201Ifc == NULL)	return FALSE;
	pApci8201Ren = GetProcAddress(hDLL, _T("Apci8201Ren"));
	if (pApci8201Ren == NULL)	return FALSE;
	pApci8201Dcl = GetProcAddress(hDLL, _T("Apci8201Dcl"));
	if (pApci8201Dcl == NULL)	return FALSE;
	pApci8201Sdc = GetProcAddress(hDLL, _T("Apci8201Sdc"));
	if (pApci8201Sdc == NULL)	return FALSE;
	pApci8201SendDataCN = GetProcAddress(hDLL, _T("Apci8201SendDataCN"));
	if (pApci8201SendDataCN == NULL)	return FALSE;
	pApci8201SendDataC = GetProcAddress(hDLL, _T("Apci8201SendDataC"));
	if (pApci8201SendDataC == NULL)	return FALSE;
	pApci8201SendDataS = GetProcAddress(hDLL, _T("Apci8201SendDataS"));
	if (pApci8201SendDataS == NULL)	return FALSE;
	pApci8201RecvDataC = GetProcAddress(hDLL, _T("Apci8201RecvDataC"));
	if (pApci8201RecvDataC == NULL)	return FALSE;
	pApci8201RecvDataS = GetProcAddress(hDLL, _T("Apci8201RecvDataS"));
	if (pApci8201RecvDataS == NULL)	return FALSE;
	pApci8201TransDataN = GetProcAddress(hDLL, _T("Apci8201TransDataN"));
	if (pApci8201TransDataN == NULL)	return FALSE;
	pApci8201TransData = GetProcAddress(hDLL, _T("Apci8201TransData"));
	if (pApci8201TransData == NULL)	return FALSE;
	pApci8201SetSrqLine = GetProcAddress(hDLL, _T("Apci8201SetSrqLine"));
	if (pApci8201SetSrqLine == NULL)	return FALSE;
	pApci8201GetSrqLine = GetProcAddress(hDLL, _T("Apci8201GetSrqLine"));
	if (pApci8201GetSrqLine == NULL)	return FALSE;
	pApci8201Spoll = GetProcAddress(hDLL, _T("Apci8201Spoll"));
	if (pApci8201Spoll == NULL)	return FALSE;
	pApci8201Ppoll = GetProcAddress(hDLL, _T("Apci8201Ppoll"));
	if (pApci8201Ppoll == NULL)	return FALSE;
	pApci8201PpollConfig = GetProcAddress(hDLL, _T("Apci8201PpollConfig"));
	if (pApci8201PpollConfig == NULL)	return FALSE;
	pApci8201PpollUnConfig = GetProcAddress(hDLL, _T("Apci8201PpollUnConfig"));
	if (pApci8201PpollUnConfig == NULL)	return FALSE;
	pApci8201PpollUnConfigAll = GetProcAddress(hDLL, _T("Apci8201PpollUnConfigAll"));
	if (pApci8201PpollUnConfigAll == NULL)	return FALSE;
	pApci8201PpollRespModeSet = GetProcAddress(hDLL, _T("Apci8201PpollRespModeSet"));
	if (pApci8201PpollRespModeSet == NULL)	return FALSE;
	pApci8201GetSwitchValue = GetProcAddress(hDLL, _T("Apci8201GetSwitchValue"));
	if (pApci8201GetSwitchValue == NULL)	return FALSE;
	pApci8201GetDipSwitch = GetProcAddress(hDLL, _T("Apci8201GetDipSwitch"));
	if (pApci8201GetDipSwitch == NULL)	return FALSE;

	// SĂ DLL ߰Ċ֐ڽ擾nj
	return TRUE;
}

